Operation: GetDashboardWidgetsV3
Get all widgets on a dashboard
For a dashboard to be returned you must have created the dashboard
or have DashboardAdministrator Manage permission and the dashboard is shared at all
or have DashboardAdministrator Manage permission and the dashboard is public
or have SharedDashboardsOrMaps View permission and the dashboard is shared with you
| Parameter | Description | Type | Location |
|---|---|---|---|
| dashboardId | Dashboard IdentifierRequired | integer | Path |
Type Reference: SpecificWidgetResponse [Array]
| Parameter | Description | Type |
|---|---|---|
| array | ||
| specificWidgetId | Specific widget identifier | integer |
| title | User Widget title | string |
| widgetInfo | Widget title | string |
| description | Widget description | string |
| userWidgetDescription | User Widget description | string |
| row | Dashboard row | integer |
| col | Dashboard column | integer |
| height | Widget height | integer |
| width | Widget width | integer |
| filters | Widget filters | FilterResponse [Array] |
| availableOperator | The list of available operators Required (defined) | array |
| caption | The caption of the filter Required (defined) | string |
| queryParameterName | The Query parameter name Required (defined) | string |
| fieldId | The field identifier Required (defined) | integer |
| dataFieldId | The datafield identifier Required (defined) | integer |
| dataType | DataTypeResponse | |
| dataTypeId | Required (defined) | integer |
| dataTypeCode | Required (defined) | string |
| dataTypeInfo | Required (defined) | string |
| operator | The operator Required (defined) | string |
| value | The value of the filter Required (defined) | string |
| required | Indicates if the filter is required | boolean |
| recommended | Indicates if the filter is recommended Required (defined) | boolean |
| hidden | Indicates if the filter is hidden Required (defined) | boolean |
[
{
"specificWidgetId": 1,
"title": "string",
"widgetInfo": "string",
"description": "string",
"userWidgetDescription": "string",
"row": 1,
"col": 1,
"height": 1,
"width": 1,
"filters": [
{
"availableOperator": [
"string"
],
"caption": "string",
"queryParameterName": "string",
"fieldId": 1,
"dataFieldId": 1,
"dataType": {
"dataTypeId": 1,
"dataTypeCode": "string",
"dataTypeInfo": "string"
},
"operator": "string",
"value": "string",
"required": false,
"recommended": false,
"hidden": false
}
]
}
]